Subject: Fonts under Chinese Windows: Simplified/Traditional

From: Carlos McEvilly <[email-masked]>
Date: Sun, 8 Aug 1993 14:54:35 EST

Went to the annual Computer Applications Show in Taipei today.
At one booth I saw classical (traditional) and simplified
characters together on the same screen.  The name of this
company is FORYOU; in Chinese it is xiang2rui4 (xiang2shi2 de
xiang2; a yu3--feather--on the right and a sheep radical on
the left, and the rui4 from rui4dian3--Sweden).  [now we see
how great the need is for Chinese computing--it took three
lines to express two characters!]

Their phone is 886-2-701-4164 or 755-7896; fax is 755-3344.
An interesting side note is that they were not showing off
this ability of their own initiative; I had to ask about it
and they scratched their heads to think for a while before
responding that it could be done.

Since Windows allows you to mix several fonts in the same
document, even in on the same line and even having different
fonts for each character of a word, it is no problem to mix
a simplified and a classical font.  We changed two characters
out of a full line of classical characters to simplified, and
it worked fine.  This is the normal way of dealing with fonts
in Windows so there are no kludges.  One fact that will affect
some applications such as email is that when text is saved as
plain text, the formatting (including the fonts) will be lost.
And a simplified character using this method will be stored as
the same Big-5 codepoint as its classical counterpart--so this
is still not an extension with new codepoints; rather it is a
way of marking up the text, letting Windows deal with the work
of showing the characters in the chosen font.

So imagining an online system that would transmit plain text
in Chinese Big-5 codes for email use, it would appear some sort
of escape code system (or perhaps a direct insertion of the
codes Windows uses in documents to identify font changes) would
be necessary.

Several other vendors were also selling fonts for Windows, and
the ones I asked were "working on" simplified versions--although
it is a lower priority for them.  I didn't find the Hwa Kang
(DynaFont) booth today; they were no doubt there but I was in a
hurry--last day in Taipei :(.  People I spoke with said there
were WIFE (Windows Intelligent Font Environment) solutions now
but they are all scrambling to make TrueType versions of their
products.  Apparently either kind of font works fine under
C-Windows 3.1, but the market is asking for TrueType.  One set
of WIFE fonts was advertised as having 15 fonts in 1 megabyte
(but actually it was only 4 fonts; they were counting varying
degrees of thickness as separate fonts)--Fang1Ling2 Co.,
886-2-516-2345 or 515-2770; fax 505-3399.  They say they plan
to release simplified fonts "at the end of the year."

(The below items do not relate to fonts)

I did not talk to IBM myself today but heard from a friend that
they will add Big-5 code capability to the Chinese version of
OS/2.  The scheduled release date for this is 12/93.  IBM 5550
code compatability will also be retained.  There was no word
on whether or not they would remove the current limitation
that allows the Chinese version to run only on Microchannel
(IBM) machines.  In the meantime OS/2 (English version)
continues to be a good platform under which to run ETen,
NewWin, TwinBridge, China Star, and other DOS/Windows/
Unix (ported) programs.

Saw a Chinese version of NeXTSTEP, which looked very nice, but
didn't have time to play with it.  NeXTSTEP 3.1C, from Neng2shi4
(ability/shi4jie4 de shi4) ke1ji4, tel: 886-2-752-1451; fax:
752-5065.

There was a Chinese WP windows program that looked a lot like
Word for Windows, called WinWord.  Not made by Microsoft.
The special feature I was shown was the ability to show text
in a vertical format on the screen, something the MS product
does not do.   Ares International Corp., Tel: 886-2-522-1351;
fax: 551-6448.  Requires Chinese Windows.

TianMa was there (XinTianMa) but only had pinyin input, no
bopomofo--so this market might not welcome the product, even
though it has a very nice approach.

I bought an input method called "Going" in English and Guo2yin1
in Chinese (zhong1guo2/pin1yin1) for NT$199 (US$8); this is a pinyin
phrase input method; it requires you to type the entire sound
(including tone) for each character and does not present choices,
rather it figures out from context which character you wanted to
type.  If it guesses the wrong character you can go back and
correct it by choosing from a list as in most input methods.
It accepts either Pinyin (some of which is incorrect; for example
shi is listed as sh) or another system that resembles Yale.  These
are both in memory simultaneously so they can be freely interchanged,
making this program rather forgiving.  For example you can type
either zhuang4 or zhwang4 and get the same result!  This is being
sold by the people who publish ZhenHan, a Chinese system that
competes with ETen.  Tel: 886-2-363-1373; fax: 363-4159.   They
said this input method will work under ETen but I vaguely remember
having heard otherwise (but perhaps in reference to an earlier
version) and haven't had a chance to try it out at home yet.

- Carlos
  new address: [email-masked]